GET
/v2/api/distributionorders/example
curl \
--request GET 'https://api.maddenanalytics.com/v2/api/distributionorders/example' \
--header "Authorization: $API_KEY"
Response examples (200)
{
"cancelledDate": "2021-07-19T14:05:257Z",
"completedDate": "2021-07-19T14:05:257Z",
"deliveredQuantity": 2,
"deliveryDate": "2021-07-19T14:05:22.257Z",
"deliveryWindow": "SS24",
"externalComment": "Express delivery needed",
"externalDistributionOrderId": "DO-14534",
"externalRowId": "21020",
"fromWarehouseExternalId": "central",
"id": 42,
"key": "7340192703345",
"label": "DO-14534",
"orderDate": "2021-07-19T14:05:22.257Z",
"orderType": "Transfer",
"productFields": {
"ageGroup": "string",
"brandName": "string",
"categoryName": "string",
"collection": "string",
"color": "string",
"costPrice": 42.0,
"costPriceCurrency": "string",
"customFields": {},
"department": "string",
"ean": "string",
"endDate": "string",
"externalAttributes": {},
"gender": "string",
"imageUrl": "string",
"info": {},
"key": "string",
"moq": 42,
"packsize": 42,
"productGroupID": "string",
"productMoq": 42,
"productName": "string",
"productType": 42.0,
"productionLeadTimeDays": 42,
"season": "string",
"shippingLeadTimeDays": 42,
"size": "string",
"sku": "string",
"startDate": "string",
"status": 42.0,
"subCategory": "string",
"supplier": "string",
"supplierPrice": 42.0,
"supplierPriceCurrency": "string",
"unitVolume": 42.0,
"variantExternalID": "string",
"variantGroupID": "string",
"variantName": "string",
"vatValue": 42.0,
"vendorSKU": "string",
"weight": 42.0,
"year": "string"
},
"quantity": 4,
"season": "Spring/Summer",
"shippedAt": "2021-07-19T14:05:22.257Z",
"sku": "123456-001-43",
"status": "CANCELLED",
"toWarehouseExternalId": "store1"
}
Response examples (default)
{
"error": "Error Type (if any)",
"message": "Message describing the error",
"statusCode": 400
}